Package org.bukkit.entity

# Enum Class Wither.Head

java.lang.Object
java.lang.Enum<Wither.Head>
org.bukkit.entity.Wither.Head

All Implemented Interfaces:
  `Serializable`, `Comparable<Wither.Head>`, `Constable`

Enclosing interface:
  Wither

public static enum Wither.Head extends Enum<Wither.Head>
Represents one of the Wither's heads.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CENTER`
`LEFT`
`RIGHT`

## Method Summary

Modifier and Type
Method
Description
`static Wither.Head`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Wither.Head[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CENTER

public static final Wither.Head CENTER

### LEFT

public static final Wither.Head LEFT

### RIGHT

public static final Wither.Head RIGHT

## Method Details

### values

public static Wither.Head[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Wither.Head valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null